#
# Copyright (c) 2000 Going Virtual, LLC. All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
# Contact Information:
#
# Going Virtual, LLC
# 10800 Independence Pointe Pkwy
# Matthews, NC 28105
# www.goingv.com
#
# Robert E. Tierney 
# bob.tierney@goingv.com 
# 1 (704) 849-0731 x109
#
#
__doc__ = """Going Virtual Interbase Database Interface

Python Database API Specification 2.0 Compliant

This module contains Interbase constants used by the Python code.

$Id: gvibTypes.py,v 1.4 2000/07/11 20:04:00 btierney Exp $
"""
__version__ = '$Revision: 1.4 $'[11:-2]

DSQL_close = 1
DSQL_drop  = 2

SQLDA_VERSION1            = 1
SQL_DIALECT_V5            = 1
SQL_DIALECT_V6_TRANSITION = 2
SQL_DIALECT_V6            = 3
SQL_DIALECT_CURRENT       = SQL_DIALECT_V6

#
# Interbase SQL Types
#
SQL_TEXT      = 452
SQL_VARYING   = 448
SQL_SHORT     = 500
SQL_LONG      = 496
SQL_FLOAT     = 482
SQL_DOUBLE    = 480
SQL_D_FLOAT   = 530
SQL_TIMESTAMP = 510
SQL_BLOB      = 520
SQL_ARRAY     = 540
SQL_QUAD      = 550
SQL_TYPE_TIME = 560
SQL_TYPE_DATE = 570
SQL_INT64     = 580
SQL_NUMERIC   = 590  # Not a real Interbase constant
SQL_DECIMAL   = 600  # Not a real Interbase constant
SQL_ROWID     = 610  # Not a real Interbase constant


#
# Transaction Parameters
#
isc_tpb_version3         =  3
isc_tpb_consistency      =  1
isc_tpb_concurrency      =  2
isc_tpb_shared           =  3
isc_tpb_protected        =  4
isc_tpb_exclusive        =  5
isc_tpb_wait             =  6
isc_tpb_nowait           =  7
isc_tpb_read             =  8
isc_tpb_write            =  9
isc_tpb_lock_read        =  10
isc_tpb_lock_write       =  11
isc_tpb_verb_time        =  12
isc_tpb_commit_time      =  13
isc_tpb_ignore_limbo     =  14
isc_tpb_read_committed   =  15
isc_tpb_autocommit       =  16
isc_tpb_rec_version      =  17
isc_tpb_no_rec_version   =  18
isc_tpb_restart_requests =  19
isc_tpb_no_auto_undo     =  20

#
# SQL Information Items
#
isc_info_sql_select        =  4
isc_info_sql_bind          =  5
isc_info_sql_num_variables =  6
isc_info_sql_describe_vars =  7
isc_info_sql_describe_end  =  8
isc_info_sql_sqlda_seq     =  9
isc_info_sql_message_seq   =  10
isc_info_sql_type          =  11
isc_info_sql_sub_type      =  12
isc_info_sql_scale         =  13
isc_info_sql_length        =  14
isc_info_sql_null_ind      =  15
isc_info_sql_field         =  16
isc_info_sql_relation      =  17
isc_info_sql_owner         =  18
isc_info_sql_alias         =  19
isc_info_sql_sqlda_start   =  20
isc_info_sql_stmt_type     =  21
isc_info_sql_get_plan      =  22
isc_info_sql_records       =  23
isc_info_sql_batch_fetch   =  24

#
# SQL Information Return Values
#
isc_info_sql_stmt_select         =  1
isc_info_sql_stmt_insert         =  2
isc_info_sql_stmt_update         =  3
isc_info_sql_stmt_delete         =  4
isc_info_sql_stmt_ddl            =  5
isc_info_sql_stmt_get_segment    =  6
isc_info_sql_stmt_put_segment    =  7
isc_info_sql_stmt_exec_procedure =  8
isc_info_sql_stmt_start_trans    =  9
isc_info_sql_stmt_commit         =  10
isc_info_sql_stmt_rollback       =  11
isc_info_sql_stmt_select_for_upd =  12
isc_info_sql_stmt_set_generator  =  13

#
# SQL Statement Row Count Values
#
isc_info_req_select_count = 13
isc_info_req_insert_count = 14
isc_info_req_update_count = 15
isc_info_req_delete_count = 16
